#!/bin/sh

echo "This script is mainly for tracking where the icons came from."
exit 0

base="/usr/share/icons/oxygen"

#OP="ln -s"
OP="cp -v"

$OP $base/16x16/actions/go-previous.png                    back.png
$OP $base/16x16/status/user-online.png                     ball_green.png
$OP $base/16x16/status/user-offline.png                    ball_red.png
$OP $base/16x16/status/user-away.png                       ball_yellow.png
$OP $base/16x16/actions/bookmark-new.png                   bookmark_add.png
$OP $base/16x16/places/folder-bookmarks.png                bookmark_folder.png
$OP $base/16x16/apps/preferences-desktop-locale.png        choose-language.png
$OP $base/22x22/actions/configure.png                      configure_22x22.png
$OP $base/32x32/actions/configure.png                      configure_32x32.png
$OP $base/16x16/actions/configure.png                      configure.png
$OP $base/16x16/actions/go-next.png                        connect.png
$OP $base/16x16/actions/network-connect.png                connect_creating.png

# knetworkmanager
#$OP hi16-app-knetworkmanager.png                          connected.png

$OP $base/16x16/actions/network-disconnect.png             connect_no.png

# down arrow plus hard disk
#$OP $base/../hicolor/16x16/apps/kget.png                  download.png

# down arrow plus hard disk with pencil from 16x16/actions/draw-freehand.png pasted on top
#                                                          download_as.png

# colors rotated to green, increased brightness+contrast
#$OP $base/16x16/actions/go-down.png                       down.png

$OP $base/16x16/actions/document-new.png                   editadd.png
$OP $base/16x16/actions/edit-copy.png                      editcopy.png
$OP $base/16x16/actions/edit-delete.png                    editdelete.png
$OP $base/16x16/actions/document-properties.png            edit.png
$OP $base/16x16/actions/emoticon.png                       emoticon.png
$OP $base/16x16/actions/application-exit.png               exit.png
$OP $base/16x16/actions/window-close.png                   fileclose.png
$OP $base/16x16/actions/edit-find.png                      filefind.png
$OP $base/16x16/mimetypes/application-x-executable.png     filetype-application.png
$OP $base/16x16/mimetypes/package-x-generic.png            filetype-archive.png
$OP $base/16x16/mimetypes/audio-x-generic.png              filetype-audio.png
$OP $base/16x16/mimetypes/text-x-generic.png               filetype-document.png
$OP $base/16x16/mimetypes/image-x-generic.png              filetype-picture.png
$OP $base/16x16/mimetypes/application-x-zerosize.png       filetype-unknown.png # empty rather than question mark
$OP $base/16x16/mimetypes/video-x-generic.png              filetype-video.png
$OP $base/22x22/actions/system-search.png                  find_22x22.png
$OP $base/32x32/actions/system-search.png                  find_32x32.png
$OP $base/16x16/actions/system-search.png                  find.png
#                                                            all the flags
$OP $base/16x16/status/folder-open.png                     folder_blue_open.png
$OP $base/16x16/places/folder.png                          folder_blue.png
$OP $base/16x16/places/folder-red.png                      folder_red.png
$OP $base/16x16/categories/applications-internet.png       globe.png
# gv_xpm is embedded in the source and no longer installed
$OP $base/16x16/actions/help-contents.png                  help.png
$OP $base/16x16/status/dialog-information.png              info.png
$OP $base/16x16/status/mail-unread-new.png                 message.png

# also considered edit-redo
$OP $base/16x16/actions/arrow-right.png                    next.png

# knetworkmanager
#$OP cr16-app-knetworkmanager_disabled.png                 notconnected.png

$OP $base/16x16/actions/document-open.png                  open.png
$OP $base/16x16/actions/media-playback-pause.png           player_pause.png
$OP $base/16x16/actions/media-playback-start.png           player_play.png
$OP $base/22x22/actions/view-refresh.png                   reload_22x22.png
$OP $base/32x32/actions/view-refresh.png                   reload_32x32.png
$OP $base/16x16/actions/view-refresh.png                   reload.png
$OP $base/16x16/devices/drive-harddisk.png                 save.png
$OP $base/32x32/places/network-server.png                  server.png
$OP $base/16x16/actions/view-sort-ascending.png            sort-down-arrow.png

# could use a magnifying glass... actions/page-zoom.png
# this is 32x32/apps/xmag.png pasted over 32x32/apps/xeyes.png
#                                                            spy.png

$OP $base/16x16/status/security-low.png                    ssl_no.png
$OP $base/16x16/status/security-high.png                   ssl_yes.png
$OP $base/16x16/actions/edit-select-all.png                text-select-all.png

# globe from image-loading.svg + drive-harddisk.svg + the arrows from here
#$OP $base/32x32/status/image-loading.png                  transfer.png

$OP $base/16x16/actions/insert-text.png                    translate.png

# colors rotated to red, increased brightness+contrast
#$OP $base/16x16/actions/go-up.png                         up.png

$OP $base/16x16/actions/mail-receive.png                   update.png # a down arrow
$OP $base/22x22/actions/view-pim-contacts.png              users_22x22.png
$OP $base/32x32/actions/view-pim-contacts.png              users_32x32.png
$OP $base/16x16/actions/view-pim-contacts.png              users.png
$OP $base/16x16/actions/view-list-tree.png                 view_sidetree.png
$OP $base/16x16/actions/zoom-in.png                        zoom-in.png
$OP $base/16x16/actions/zoom-out.png                       zoom-out.png
